# Ogre::CompositorInstance::Listener Class Reference

Provides an interface to "listen in" to to render system operations executed by this CompositorInstance. More...

`#include <OgreCompositorInstance.h>`

List of all members.

## Public Member Functions

virtual | ~Listener ()
virtual void | notifyMaterialSetup (uint32 pass_id, MaterialPtr &mat)
| Notification of when a render target operation involving a material (like rendering a quad) is compiled, so that miscellaneous parameters that are different per Compositor instance can be set up.
virtual void | notifyMaterialRender (uint32 pass_id, MaterialPtr &mat)
| Notification before a render target operation involving a material (like rendering a quad), so that material parameters can be varied.

## Detailed Description

Provides an interface to "listen in" to to render system operations executed by this CompositorInstance.

Definition at line 50 of file OgreCompositorInstance.h.

## Constructor & Destructor Documentation

virtual Ogre::CompositorInstance::Listener::~Listener | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void Ogre::CompositorInstance::Listener::notifyMaterialSetup | ( | uint32 | pass_id,
|  | MaterialPtr & | mat |
| ) |  |  | `[virtual]`

Notification of when a render target operation involving a material (like rendering a quad) is compiled, so that miscellaneous parameters that are different per Compositor instance can be set up.

Parameters:

  | pass_id | Pass identifier within Compositor instance, this is specified by the user by CompositionPass::setIdentifier().
  | mat | Material, this may be changed at will and will only affect the current instance of the Compositor, not the global material it was cloned from.

virtual void Ogre::CompositorInstance::Listener::notifyMaterialRender | ( | uint32 | pass_id,
|  | MaterialPtr & | mat |
| ) |  |  | `[virtual]`

Notification before a render target operation involving a material (like rendering a quad), so that material parameters can be varied.

Parameters:

  | pass_id | Pass identifier within Compositor instance, this is specified by the user by CompositionPass::setIdentifier().
  | mat | Material, this may be changed at will and will only affect the current instance of the Compositor, not the global material it was cloned from.

The documentation for this class was generated from the following file:

- OgreCompositorInstance.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Dec 27 17:31:48 2009